package net.minecraft.world.level.block.entity;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.nbt.CompoundTag;

public class ComparatorBlockEntity extends BlockEntity {
    private int output;
    
    public ComparatorBlockEntity() {
        super(BlockEntityType.COMPARATOR);
    }
    
    @Override
    public CompoundTag save(final CompoundTag le) {
        super.save(le);
        le.putInt("OutputSignal", this.output);
        return le;
    }
    
    @Override
    public void load(final BlockState cfj, final CompoundTag le) {
        super.load(cfj, le);
        this.output = le.getInt("OutputSignal");
    }
    
    public int getOutputSignal() {
        return this.output;
    }
    
    public void setOutputSignal(final int integer) {
        this.output = integer;
    }
}
